#if !defined(AFX_USRPICNOTESET_H__1B512B19_E3F8_11D2_AD19_00A04B070143__INCLUDED_)
#define AFX_USRPICNOTESET_H__1B512B19_E3F8_11D2_AD19_00A04B070143__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// UsrPicNoteSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUsrPicNoteSet DAO recordset

class CUsrPicNoteSet : public CDaoRecordset
{
public:
	CUsrPicNoteSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CUsrPicNoteSet)

// Field/Param Data
	//{{AFX_FIELD(CUsrPicNoteSet, CDaoRecordset)
	long	m_lUserID;
	long	m_lBookID;
	long	m_lPageNumber;
	long	m_lPictureNumber;
	CString	m_strNote;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUsrPicNoteSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USRPICNOTESET_H__1B512B19_E3F8_11D2_AD19_00A04B070143__INCLUDED_)
